• Hey Guest, we're evolving the future of TeaSpeak.
    You're invited to join the discussion here!

Information TeaSpeak update script (Include Auto) [Deprecated] (Please read first Line)

yamano

TeaFanatic
Premium User
Nobody uses "normal" repo anymore, so thats not to much important xD
but thanks to alert ;)
 
Last edited:
Sure @yamano!

Today I decided to update my server but seems something fails.

I'm still at 1.3.25 and want to update to 1.4.X. ¿How it's supposed to do it with that script? Trying -u, then 1 (english), then 2 (stable) and says that I'm up to date :(

Also tryd with Normal, same result.
 

WolverinDEV

TeaSpeak Team
Staff member
Administrator
May just do it yourself, dowload the latest version and extract it within your teaspeak directory :)
 
Well, thanks. Will do it later when noone it's using it.

Thanks! :)

---- Automatically Merged Double Post ----

Well, seems I got the problem:


No 'beta' at versions, so CV / LV will always be blank...
 
Last edited:

N3K4T

New member
./TS-Update.sh: line 1: syntax error near unexpected token `newline'
./TS-Update.sh: line 1: `<!DOCTYPE HTML>'
 

Leutech

Active member
Premium User
@N3K4T when you open the file what see you in the First line? If you don't see "#!/bin/bash" than you haven't the correct file.

And for all others this script is light deprecated. Im working on a better script. If anyone of the TeaSpeak Community have ideas what can implement in this script please tell this to me over pn or here in this thread as comment.
 

Leutech

Active member
Premium User
Okay that is not the answer to my question. Please open the "TS-Updater.sh" file with your editor and send me pls a screenshot.
 

Leutech

Active member
Premium User
Okay? Have you give the script the execute permission (chmod +x) and have the user access to the script?
Which OS are you using?
 

Leutech

Active member
Premium User
hm okay i don't know why this script don't work for you.
Please be patient. I'm working at the moment at a better script with better functions and some more features.
For know its better to download the newer version direct from the repository and do it manually.